Skip to content
Start here

List Provider Configs

client.AIGateway.ProviderConfigs.List(ctx, gatewayID, params) (*V4PagePaginationArray[ProviderConfigListResponse], error)
GET/accounts/{account_id}/ai-gateway/gateways/{gateway_id}/provider_configs

Lists all AI Gateway evaluator types configured for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
gatewayID string

gateway id

maxLength64
minLength1
params ProviderConfigListParams
AccountID param.Field[string]

Path param

Page param.Field[int64]optional

Query param

minimum1
PerPage param.Field[int64]optional

Query param

maximum100
minimum1
ReturnsExpand Collapse
type ProviderConfigListResponse struct{…}
ID string
Alias string
DefaultConfig bool
GatewayID string

gateway id

maxLength64
minLength1
ModifiedAt Time
formatdate-time
ProviderSlug string
SecretID string
SecretPreview string
RateLimit float64optional
RateLimitPeriod float64optional

List Provider Configs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.AIGateway.ProviderConfigs.List(
    context.TODO(),
    "my-gateway",
    ai_gateway.ProviderConfigListParams{
      AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "result": [
    {
      "id": "id",
      "alias": "alias",
      "default_config": true,
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "provider_slug": "provider_slug",
      "secret_id": "secret_id",
      "secret_preview": "secret_preview",
      "rate_limit": 0,
      "rate_limit_period": 0
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "id": "id",
      "alias": "alias",
      "default_config": true,
      "gateway_id": "my-gateway",
      "modified_at": "2019-12-27T18:11:19.117Z",
      "provider_slug": "provider_slug",
      "secret_id": "secret_id",
      "secret_preview": "secret_preview",
      "rate_limit": 0,
      "rate_limit_period": 0
    }
  ],
  "success": true
}